# <copyright 
# notice="cics-rm-source" 
# pids="CA0U" 
# years="2014,2017" 
# crc="360688486" > 
#  
# 	                    	Licensed Materials - Property of IBM 
# 	"Restricted Materials of IBM" 
# 	CA0U 
# 	(C) Copyright IBM Corp. 2014, 2017" 
# </copyright> 
# NLS_MESSAGEFORMAT_VAR
# NLS_ENCODING=UNICODE

propertyNotProvided = BUZCP0001E Property "{0}" is required.

#CMCI connection messages
invalidMsg = BUZCP0003E Property "{0}" is invalid.
invalidRange = BUZCP0004E "{0}" must be in the range {1} - {2}.
unknownHost = BUZCP0005E Connection failed due to unknown host "{0}".
connectionEstablished = BUZCP0006I Connected to "{0}". CICS TS version: {1}.
connectionFailedWithError = BUZCP0007E Unable to establish connection to "{0}".
SMConnection_pickedADataPort = BUZCP0008E Could not establish a CMCI connection to port {0} because it is defined to accept SM Data connections.
wrongCMCIPort = BUZCP0009E It was not possible to establish a CMCI connection on port {0}.  Port {1} appears to be defined to accept CMCI connections.

invalidNumber = BUZCP0010E The value "{0}" of property "{1}" is not a valid number.
embeddedSpaceNotAllowed = BUZCP0011E Property "{0}" contains embedded spaces, which are not valid.
exceedMaxLength = BUZCP0012E The length of property "{1}" ("{0}") exceeds the maximum length ({2}).
invalidCharacter = BUZCP0013E Property "{0}" contains invalid characters. Valid characters are "{1}".
ignoreScopePropertySMSS = BUZCP0014W Property "{0}" is ignored for a connection to a stand-alone CICS region (SMSS).
ignoreContextPropertySMSS = BUZCP0015W Property "{0}" is ignored for a connection to a stand-alone CICS region (SMSS).
setDefaultCICSplex = BUZCP0016W Property "{0}" was not specified. The only available CICSplex, "{1}", has been set as the default.
missingCICSplex = BUZCP0017E Property "{0}" is required when more than one CICSplex is available.
incorrectCICSplexSuggestion = BUZCP0018E Property "{0}" is invalid. Detected CICSplexes are as follows: {1}.
checkScope = BUZCP0019E Property "{0}" is invalid. Check that property "{1}" is valid and the system is available.
checkContextAndScope = BUZCP0020E Property "{0}" is invalid. Check property "{1}" and "{2}" are valid and the system is available.
actionFailwithObjectNoFound = BUZCP0021E {0} failed. Resource "{1}" was not found.
retrySecondLater = BUZCP0022I Waiting {0} second(s) before retrying.
actionSucceedWithObjectNameAndType = BUZCP0024I {0} {1} "{2}" succeeded.
actionFailWithObjectNameAndType = BUZCP0026E {0} {1} "{2}" failed.

installfromDREP = BUZCP0027I Installing resource(s) from the CICSPlex SM data repository.
installfromCSD = BUZCP0028I Installing resource(s) from the CSD.
resultSummary = BUZCP0029I Summary: {1} {0} request(s) succeeded, {2} {0} request(s) failed.
canNotFindResourceDefinition = BUZCP0030E {0} "{1}" was not found.

commandFailDetailMsg = BUZCP0031E EXEC CICS command ({0}) RESP({1}) RESP2({2}).
cpsmCommandFailMsg = BUZCP0032E Attribute Name({0}) Error({1}).
actionFailMsg = BUZCP0033E RESPONSE({0}) REASON({1}).
actionFailMsgNoReason = BUZCP0034E RESPONSE({0}).
#BUZCP0035E is duplicate with BUZCP0043E and is no longer referenced from plugin code.
unexpectedException = BUZCP0035E Unexpected exception encountered.
couldNotSetURLStreamHandlerFactory = BUZCP0038W The CICS plugin was unable to set the URL stream handler factory. RACF-based keystores and truststores may not work.
notCPSMEnv = BUZCP0036E This type of step is not valid when connected to a stand-alone CICS region (SMSS).

PERFORM = BUZCP0037I Perform {0} Operation.
missingCICSplexRecord = BUZCP0038E Missing CICSplex record.
missingCMASRecord = BUZCP0039E Missing CMAS Record.
missingRegionRecord = BUZCP0040E Missing region Record.
SecurityExceptionSSLServer = BUZCP0041E Possible SSL connection failure. Configuration specified SSL={0}. Original message was: {1}.
PossibleSSLPropertiesError = BUZCP0042E Possible SSL properties error. Original message was: {0}.

ExceptionNotice = BUZCP0043E Unexpected exception occurred: {0}. Go to log for detail.

#messages for check status steps
BeforeCheckStatusStep = BUZCP0040I Check status of "{0}". Expected status is {1}.
ResultofCheckIndividualResourceisFail = BUZCP0041I Resource "{0}" in scope "{1}" is {2}. Expected status is {3}.
CheckStatusFail = BUZCP0042E Resource "{0}" does not have the expected status {1}.
CheckStatusSuccess = BUZCP0043I Resource "{0}" in scope "{1}" has reached the expected status {2}.
CheckStatusFailedResult = BUZCP0044E Failed to check the status of all resources: {0} check(s) failed, {1} check(s) succeeded.
CheckStatusSuccessResult = BUZCP0045I Checked the status of {0} resources. All resources are {1}.
ResourceNotExist = BUZCP0046E Resource "{0}" does not exist in the target scope.
CheckResultSummaryFail = BUZCP0047E After {0} attempt(s), not all resources reached the expected status {1}. Step failed.
CheckResultSummarySuccess = BUZCP0048I All resources reached the expected status {0}. Step succeeded.
StartRetryCheck = BUZCP0049I Retry the check {0} time(s).
UnsupporttedAction = BUZCP0050E The field {0} is not valid for resource ''{1}'' in scope ''{2}''. Check that the connected CICS TS version supports this action.

#messages for deploy/undeploy bundle
InvalidJobCard = BUZCP0060E Job card is invalid. Each line must not exceed 72 characters. Character 72 is only used to indicate continuation onto the next line.
InvalidFormat = BUZCP0061E Dataset name is invalid. A qualifier cannot be longer than eight characters.
InvalidFirstChar = BUZCP0062E Property "{0}" begins with an invalid character. Valid first characters are "{1}".
SubmitJCLExceptionNotice = BUZCP0063E An exception occurred when submitting the JCL. Detailed exception message: {0}.
UsePassTicket = BUZCP0064I Authenticate using passticket.
PassTicketOrPassword = BUZCP0065E User has to either input password or use passticket.
GeneratePassTicketExceptionNotice = BUZCP0066E An exception occurred when generate PassTicket. Detailed exception message: {0}.
ResourceGroupNotProvided = BUZCP0067E Property "Group Name" is not specified. It is required in order to delete the resource from {0}.
DeleleResourceRequireDiscarded = BUZCP0068E Resource Definition value of "Delete the resource in {0}" requires State to be set to "Discarded".

#message for CICS Application operation
PerformApplAction = BUZCP0070I Perform {0} Application operation. 
PerformApplActionSucceed = BUZCP0071I {0} Application "{1}({2}.{3}.{4})" on Platform "{5}" succeeded.
invalidApplVersion = BUZCP0072E Application version "{0}" is invalid. An example of correct format is "1.0.1".

#new message for check version
CICSVersionIsTooLow = BUZCP0080E The chosen action in this step requires CICS TS version {0} or later, but connected CICS TS version is {1}.
